# Glitch City Laboratories Archives

Glitch City Laboratories closed on 1 September 2020 (announcement). This is an archived copy of a thread from Glitch City Laboratories Forums.

You can join Glitch City Research Institute to ask questions or discuss current developments.

You may also download the archive of this forum in .tar.gz, .sql.gz, or .sqlite.gz formats.

## Rate My Team

### Rate my AWSOME team!!!!!!!!!!!!!!!!!!!!! - Page 2

Previous Page

- 1
- 2

Next Page

#### Re: Rate my AWSOME team!!!!!!!!!!!!!!!!!!!!!

Posted by: MewthreeX
Date: 2008-06-13 15:17:09
Well, :'(,They all have high stats and have Judgment,Hyper beam,Earth power,and fire blast.They are holding a draco plate,Icicle plate,Meadow plate,Earth plate,Toxic plate,and Sky plate. :'(

#### Re: Rate my AWSOME team!!!!!!!!!!!!!!!!!!!!!

Posted by: fivex
Date: 2008-06-13 15:40:51
Don't feel bad. Also, what are there stats? THey should all have Judgement and recover. Teach one mimic. Mimic a smeargle. Use sketch. Have arceus sketch a move thats the same as there type. Or use rainbow scales to teach them moves of there type. Ect.

#### Re: Rate my AWSOME team!!!!!!!!!!!!!!!!!!!!!

Posted by: MewthreeX
Date: 2008-06-13 16:00:02
They have an average of 400 for every stat each. :o

#### Re: Rate my AWSOME team!!!!!!!!!!!!!!!!!!!!!

Posted by: fivex
Date: 2008-06-13 19:00:32
That's good. Now, could you do my sudgestion.

#### Re: Rate my AWSOME team!!!!!!!!!!!!!!!!!!!!!

Posted by: Don Watermeleon
Date: 2008-06-13 19:13:24
Just a little advice, I notice they all know Fire Blast but none of them have the fire plate. :P Since you have Action Replay, it can't be too hard to switch out Fire Blast with a type-specific move of similar stregnth.
But good job on the team so far, a 400 stat average is great.

#### Re: Rate my AWSOME team!!!!!!!!!!!!!!!!!!!!!

Posted by: Guy
Date: 2008-06-14 20:54:39
Are the stats at a legitimate level, or at a hacked level?
So…
Arceus@Draco Plate (? nature)
Ability: Multitype
(? EVs, ? IVs)
-Judgment
-Hyper Beam
-Earth Power
-Fire Blast
Arceus@Icicle Plate (? nature)
Ability: Multitype
(? EVs, ? IVs)
-Judgment
-Hyper Beam
-Earth Power
-Fire Blast
Arceus@Meadow Plate (? nature)
Ability: Multitype
(? EVs, ? IVs)
-Judgment
-Hyper Beam
-Earth Power
-Fire Blast
Arceus@Earth Plate (? nature)
Ability: Multitype
(? EVs, ? IVs)
-Judgment
-Hyper Beam
-Earth Power
-Fire Blast
Arceus@Toxic Plate (? nature)
Ability: Multitype
(? EVs, ? IVs)
-Judgment
-Hyper Beam
-Earth Power
-Fire Blast
Arceus@Sky Plate (? nature)
Ability: Multitype
(? EVs, ? IVs)
-Judgment
-Hyper Beam
-Earth Power
-Fire Blast
Been a while since I've done this :P…anyway, so that's pretty much the team? Just to give everyone else a better visual.

#### Re: Rate my AWSOME team!!!!!!!!!!!!!!!!!!!!!

Posted by: MewthreeX
Date: 2008-06-15 14:06:42
Well,thats all i'm posting about them! I already told you all enough. I hate :D smiles!

#### Re: Rate my AWSOME team!!!!!!!!!!!!!!!!!!!!!

Posted by: fivex
Date: 2008-06-15 16:07:02

> Well,thats all i'm posting about them! I already told you all enough. I hate :D smiles!

Ugh. (this might be like another murph incedent.) But anyway, just tell us there EVs and IVs! You havn't told us enough untill you tell us them.
Previous Page

- 1
- 2

Next Page